View Issue Details

IDProjectCategoryPrivateLast Update
0003115Battlefield 1Art/AnimationNo2018-04-25 15:36
ReporterJyyste 
SeverityMajorReproducibilityRandom 
Status FixedResolutionFixed 
PlatformConsoleOSPlaystation 
Product VersionUpdate 12132016 
Fixed in Version 
Summary0003115: Invisible players / Player model get stuck
Description

Player model get stuck which causes invisible player in other player’s screen(random).

https://youtu.be/Ix01hNPgMeo
first video: you can clearly see player model moving and shooting but the actual player isn’t there.

https://youtu.be/XIvkxWzv3GM
second video: I hear the sniper shooting but can’t see him.

https://youtu.be/9gEqn3kt5j0
third video: my squad member is near me and helps me capture the A flag. I can’t see him although he clearly stabs me, but when I look back toward B flag I can see my squad member name and cape which indicates that his player model is stuck. Enemy players however can see and shoot him. (We had voice chat)

Steps To Reproduce

It seems that this occurs randomly when player is near a fence or other obstacle but i am not sure.

Actual Result
Expected Result

Relationships

related to 0003035 Closed Invisible Players 
has duplicate 0003748 Closed Invisible Soldier/Person Bug! 
has duplicate 0004556 Closed Invisible players is still a thing 
has duplicate 0005035 Closed Invisible player bug STILL exists 

Activities

Jyyste

2017-01-13 14:56

Registered User
  ~0003508

New evidence has emerge (I think)
https://youtu.be/ZTY_rVUmbrU

In this video if you look at the minimap …player spawn on his squad mate and then jumps over the wall and run away. On my screen his player model got stuck and I think that if this player would stand right in front of me I could not see him.
I have a new theory that this bug is related to spawning near walls and other obstacles because whenever I see this bug its always near some random wall or fence. It could also be related to spawn protection because there is this delay when the player model come visible.

Jyyste

2017-01-16 19:12

Registered User
  ~0003514

It seems that I stumble on this bug very often.
Here is another video:
https://youtu.be/hQ6vDVeiffw

In this video enemy’s player model is stuck on a fence. This player start shooting at me and I notice that the damage is coming from the building door (I don’t know how well you can sense/see that in the video). So, this whole time when I was looking at this player model, the actual (invisible)player was moving inside the building and came to the door and shot me. That’s what I think happened.

IBetafield

2017-01-21 03:57

Registered User
  ~0003522

Last edited: 2017-01-21 03:57

View 2 revisions

Here have more, whatever ticket I reported with this issue it was closed no clue if that means they acknowledged there are invisible players running around or .... whatever

https://www.youtube.com/watch?v=XZv7ISDUmQk

https://www.youtube.com/watch?v=sDYFPV5TZek

Jyyste

2017-01-29 13:08

Registered User
  ~0003541

Yeah...I bump into this bug again… here is the video…if it’s any help.
https://youtu.be/OKYShJjr0a4

In this video enemy player sees me and try’s to flush me out.
A few seconds later he charges in and kills me, totally invisible.
Killcam shows that he’s player model is stuck at the base and when he jumps out of the window its resets back to normal.
I think spawning “combined with” obstacles near the player is causing this bug.

Is there any info I miss that might help you fix this bug…please let me know.

Jyyste

2017-01-30 18:09

Registered User
  ~0003544

Here are two more videos.

https://youtu.be/6p9XZRpKaDo

https://youtu.be/4QH-ei87xEw

#DICEpls

HotKarlMarxBrother

2017-02-14 17:59

Registered User
  ~0003636

Last edited: 2017-02-14 18:12

View 2 revisions

Agreed. This constantly happens to me. Killed by people that were in plane view.

https://youtu.be/rATPUCGB6E4

Jyyste

2017-02-20 20:41

Registered User
  ~0003684

These two videos are recorded before winter update:
https://youtu.be/hQFrKxKBQa8
https://youtu.be/Ay5UmUHCZhA

and these videos after the winter update:
https://youtu.be/yC5FbhcBid8
https://youtu.be/mXANsQIatCY
https://youtu.be/L-Oim7pf12M

Jyyste

2017-02-25 14:01

Registered User
  ~0003717

This does not surprise me anymore.
Every single time I play BF1 I stumble on this bug ones or twice. #DICEpls

https://youtu.be/QIJrL0skSAw

Jyyste

2017-03-01 17:40

Registered User
  ~0003751

once again:
https://youtu.be/dx6voKqSY-A

HotKarlMarxBrother

2017-03-07 17:53

Registered User
  ~0003785

Another invisible spawn - https://youtu.be/cv_TTEyMHds

Jyyste

2017-03-09 16:03

Registered User
  ~0003817

and another one
https://youtu.be/HMv5p_xnjp8

Jyyste

2017-03-20 17:38

Registered User
  ~0003876

Invisible players still present:
https://youtu.be/G8EQf0Db784

CryptiK

2017-07-04 02:06

Registered User
  ~0004442

https://www.youtube.com/watch?v=jrO3PEYUIys&feature=youtu.be

Another version

Jyyste

2017-08-08 13:43

Registered User
  ~0004711

Invisible squad member
https://youtu.be/OR9_W6Gx4fM

paulvee3000

2017-08-10 15:14

Registered User
  ~0004734

Confirming the invisible player bug. XboxOne. See dates on each reddit post.

Three incidents:

https://www.reddit.com/r/battlefield_one/comments/6sqm72/not_again_yes_againthanks_dice/?st=J66L02RL&sh=c23aa36c

https://www.reddit.com/r/battlefield_one/comments/6rvshl/not_again_come_on_dice/?st=J66L10W3&sh=00a3df70

https://www.reddit.com/r/battlefield_one/comments/6m4yyz/i_think_the_wall_stabbed_me/?st=J66L1HUY&sh=fcbf79f8

IBetafield

2018-01-17 03:45

Registered User
  ~0006065

This is still happening, I'm tired of providing feedback videos looks like it's pointless to do so

Spitfire

2018-02-24 23:43


  ~0006286

Reopening.